OBPlugin Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Protected Attributes
OBPlugin Class Reference
Plugins

`#include <openbabel/plugin.h>`

Inheritance diagram for OBPlugin:
[legend]

List of all members.

## Public Types
typedef std::map< const char *, OBPlugin *, CharPtrLess > | PluginMapType
typedef PluginMapType::const_iterator | PluginIterator
## Public Member Functions
virtual | ~OBPlugin ()
virtual const char * | Description ()
virtual const char * | TypeID ()
virtual bool | Display (std::string &txt, const char *param, const char *ID=NULL)
virtual OBPlugin * | MakeInstance (const std::vector< std::string > &)
virtual void | Init ()
const char * | GetID () const
virtual PluginMapType & | GetMap () const =0
## Static Public Member Functions
static OBPlugin * | GetPlugin (const char *Type, const char *ID)
static bool | ListAsVector (const char *PluginID, const char *param, std::vector< std::string > &vlist)
static void | List (const char *PluginID, const char *param=NULL, std::ostream *os=&std::cout)
static std::string | ListAsString (const char *PluginID, const char *param=NULL)
static std::string | FirstLine (const char *txt)
static PluginIterator | Begin (const char *PluginID)
static PluginIterator | End (const char *PluginID)
## Static Protected Member Functions
static PluginMapType & | PluginMap ()
static PluginMapType & | GetTypeMap (const char *PluginID)
static OBPlugin * | BaseFindType (PluginMapType &Map, const char *ID)
## Protected Attributes
const char * | _id

## Detailed Description

Base class for all types of dynamic classes discovered at runtime.

Since:
  version 2.2

See also:
  plugin.h

The documentation for this class was generated from the following files:

- plugin.h
- plugin.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines